var IS_TEST = !!process.env.VUE_LOADER_TEST
var fs = require('fs')
var path = require('path')

var hasWeexLoader = false
try {
  hasWeexLoader = !!require('weex-loader')
} catch (e) {}

exports.lib = function (file) {
  if (hasWeexLoader && fs.existsSync(path.resolve(__dirname, 'node_modules', 'weex-loader', 'node_modules', 'weex-vue-loader'))) {
    return 'weex-loader/node_modules/weex-vue-loader/lib/' + file
  }
  if (IS_TEST) {
    return path.resolve(__dirname, file)
  } else {
    return 'weex-vue-loader/lib/' + file
  }
}

exports.dep = function (dep) {
  if (hasWeexLoader && fs.existsSync(path.resolve(__dirname, 'node_modules', 'weex-loader', 'node_modules', 'weex-vue-loader'))) {
    return 'weex-loader/node_modules/weex-vue-loader/node_modules/' + dep
  }
  if (IS_TEST) {
    return dep
  } else if (fs.existsSync(path.resolve(__dirname, '../node_modules', dep))) {
    // npm 2 or npm linked
    return 'weex-vue-loader/node_modules/' + dep
  } else {
    // npm 3
    return dep
  }
}
